Bug 7491 - Description for item-level_itypes is misleading
Summary: Description for item-level_itypes is misleading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-01 20:37 UTC by Magnus Enger
Modified: 2015-06-04 23:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7491: Description for item-level_itypes is misleading (1.34 KB, patch)
2013-11-07 13:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7491: Description for item-level_itypes is misleading (1.40 KB, patch)
2013-11-15 18:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7491: Description for item-level_itypes is misleading (1.41 KB, patch)
2013-11-22 16:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-02-01 20:37:15 UTC
The description is as follows: 

"Use the item type of the [biblio record|specific item] as the authoritative item type (for determining circulation and fines rules, etc)."

But this syspref also governs the display of itemtypes in the OPAC. This is documented in the documentation: 

"It also determines if the item type icon appears on the OPAC search results. If you have the preference set to 'biblio record' then Koha displays the item type icon on the search results to the left of the result info."
http://manual.koha-community.org/3.6/en/administration.html#catprefs (use Ctrl-F to search for the syspref)

The syspref description should at least hint at this part of the functionality.
Comment 1 Katrin Fischer 2013-04-13 21:29:47 UTC
Still an issue - can we get a patch for this? :)
Comment 2 Marcel de Rooy 2013-11-07 13:31:10 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-11-15 18:00:48 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-11-22 16:46:48 UTC
Created attachment 23093 [details] [review]
Bug 7491: Description for item-level_itypes is misleading

Adding some text to the pref description referring to opac display.

Test plan:
Look at the new description in Cataloging preferences.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Galen Charlton 2013-11-23 19:46:29 UTC
Pushed to master.  Thanks, Marcel!
Comment 6 Fridolin SOMERS 2013-12-13 08:51:04 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1
Comment 7 Tomás Cohen Arazi 2013-12-16 13:52:24 UTC
This patch has been pushed to 3.12.x, will be in 3.12.8.

Thanks Marcel!